gsasl_application_data_get(3)

NAME
gsasl_application_data_get - API function

SYNOPSIS
#include <gsasl.h>

void * gsasl_application_data_get(Gsasl * ctx);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

DESCRIPTION
Retrieve application specific data from libgsasl handle. The application data is set using gsasl_application_data_set(). It is normally used by the application to maintain state between the main program and the callback.

RETURN VALUE
Returns the application specific data, or NULL.

DEPRECATED
Use gsasl_callback_hook_get() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.